Skip to main content
PATCH
/
api
/
v2
/
integrations
/
{integrationKey}
/
{id}
Update audit log subscription
curl --request PATCH \
  --url https://app.launchdarkly.com/api/v2/integrations/{integrationKey}/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "op": "replace",
    "path": "/on",
    "value": false
  }
]
'
{
  "_links": {},
  "_id": "1234a56b7c89d012345e678f",
  "kind": "datadog",
  "name": "Example Datadog integration",
  "config": {},
  "statements": [
    {
      "effect": "allow",
      "resources": [
        "proj/*:env/*;qa_*:/flag/*"
      ],
      "notResources": [
        "<string>"
      ],
      "actions": [
        "*"
      ],
      "notActions": [
        "<string>"
      ]
    }
  ],
  "on": true,
  "tags": [
    "testing"
  ],
  "_access": {
    "denied": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ],
    "allowed": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ]
  },
  "_status": {
    "successCount": 123,
    "lastSuccess": 123,
    "lastError": 123,
    "errorCount": 123,
    "errors": [
      {
        "statusCode": 123,
        "responseBody": "<string>",
        "timestamp": 123
      }
    ]
  },
  "url": "<string>",
  "apiKey": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

integrationKey
string<string>
required

The integration key

id
string<string>
required

The ID of the audit log subscription

Body

application/json
op
string
required

The type of operation to perform

Example:

"replace"

path
string
required

A JSON Pointer string specifying the part of the document to operate on

Example:

"/exampleField"

value
any

A JSON value used in "add", "replace", and "test" operations

Example:

"new example value"

Response

Integration response

The location and content type of related resources

_id
string

The ID for this integration audit log subscription

Example:

"1234a56b7c89d012345e678f"

kind
string

The type of integration

Example:

"datadog"

name
string

A human-friendly name for the integration

Example:

"Example Datadog integration"

config
object

Details on configuration for an integration of this type. Refer to the formVariables field in the corresponding manifest.json for a full list of fields for each integration.

statements
object[]

Represents a Custom role policy, defining a resource kinds filter the integration audit log subscription responds to.

on
boolean

Whether the integration is currently active

Example:

true

tags
string[]

An array of tags for this integration

Example:
["testing"]
_access
object

Details on the allowed and denied actions for this subscription

_status
object

Details on the most recent successes and errors for this integration

url
string

Slack webhook receiver URL. Only used for legacy Slack webhook integrations.

apiKey
string

Datadog API key. Only used for legacy Datadog webhook integrations.